const pageOptions = {
  // 页面数据
  data: {
    isFirstOnShow: true, // 是否为首次执行onShow
    remoteList: [],
    // 顶部导航栏的配置
    menus: [
      {
        label: '进行中',
        id: 'DOING',
        list: [],
        params: {
          visitStateList: 'DOING',
          memberType: ''
        }
      },
      {
        label: '待开始',
        id: 'TO_BE_START',
        list: [],
        params: {
          visitStateList: 'TO_BE_START',
          memberType: ''
        }
      },
      {
        label: '确认中',
        id: 'CONFIRM_DOING',
        list: [],
        params: {
          visitStateList: 'CONFIRM_DOING',
          memberType: ''
        }
      },
      {
        label: '待确认',
        id: 'TO_BE_CONFIRM',
        list: [],
        params: {
          visitStateList: 'TO_BE_CONFIRM',
          memberType: ''
        }
      },
      {
        label: '已结束',
        id: 'END',
        list: [],
        params: {
          visitStateList: 'END',
          memberType: ''
        }
      },
      {
        label: '已取消',
        id: 'CANCEL',
        list: [],
        params: {
          visitStateList: 'CANCEL',
          memberType: ''
        }
      },
      {
        label: '已失效',
        id: 'FAILURE',
        list: [],
        params: {
          visitStateList: 'FAILURE',
          memberType: ''
        }
      }
    ],
    // 二维码展示弹窗
    actionVisibled: false,
    // 当前点击的卡片
    currRemoteData: {}
  },
  // 页面载入时
  onLoad(e) {
    this.init(e)
  },
  // 页面初始化
  init(e) {
    this.selectComponent(`#visit-list-${this.data.menus[0].id}`).init()
  },
  // 页面准备好时
  onReady() {},
  // 页面显示时
  onShow() {
    const { isFirstOnShow } = this.data

    if (isFirstOnShow) {
      // 首次执行时
      this.setData({
        isFirstOnShow: false
      })
      return
    }
  },
  // 页面隐藏时
  onHide() {},
  // 页面卸载时
  onUnload() {},
  // 下拉页面时
  onPullDownRefresh() {},
  // 到达页面底部时
  onReachBottom() {},
  // 页面滚动时
  onPageScroll() {},
  // 切换菜单
  tabChange({ detail }) {
    const { name } = detail
    this.selectComponent(`#visit-list-${name}`).init()
    // this.selectComponent(`#visit-list-${name}`).getVisitInfo()
  },
  // 小程序卡片中的快捷按钮被点击
  cardAction({ detail }) {
    const { visitState } = detail
    if (visitState === 'TO_BE_CONFIRM') {
      this.setData({
        actionVisibled: true,
        currRemoteData: detail
      })
    }
  },
  // 关闭二维码展示弹窗
  actionClose() {
    this.setData({
      actionVisibled: false
    })
  }
}

Page(pageOptions)
